| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::basic_socket_acceptor (4 of 4 overloads)

Construct a basic_socket_acceptor on an existing native acceptor.

    basic_socket_acceptor(
        boost::asio::io_service & io_service,
        const protocol_type & protocol,
        const native_type & native_acceptor);

This constructor creates an acceptor object to hold an existing native acceptor.

###### Parameters

io_service

  The io_service object that the acceptor will use to dispatch handlers for any asynchronous operations performed on the acceptor.

protocol

  An object specifying protocol parameters to be used.

native_acceptor

  A native acceptor.

###### Exceptions

boost::system::system_error

  Thrown on failure.